Update an existing entity context sync configuration. Supports partial updates; only the fields provided in the request body are modified.
This endpoint requires the manage_integrations permission.
OAuth apps require the manage_integrations authorization scope to access this endpoint.
引数
パスパラメーター
名前
タイプ
説明
integration_config_id [required]
string
The ID of the entity context sync configuration.
リクエスト
Body Data (required)
The fields to update on the integration configuration.
The entity context sync configuration fields to update.
attributes [required]
<oneOf>
Fields to update on the entity context sync configuration. All fields other than the integration type are optional.
<integration_type=GOOGLE_WORKSPACE>
object
Fields to update on a Google Workspace entity context sync configuration.
domain
string
The new domain associated with the external entity source.
enabled
boolean
Whether the entity context sync should be enabled.
integration_type [required]
enum
The source type for a Google Workspace entity context sync.
Allowed enum values: GOOGLE_WORKSPACE
name
string
The new display name for the entity context sync configuration.
secrets
object
Credentials for a Google Workspace entity context sync.
admin_email
string
The admin email to impersonate for domain-wide delegation.
service_account_json [required]
object
The Google Cloud service account JSON used to authenticate against the Google Workspace Admin SDK. Additional keys beyond those documented are preserved.
client_email [required]
string
The service account client email.
private_key [required]
string
The service account private key.
project_id [required]
string
The Google Cloud project ID that owns the service account.
type [required]
string
The service account type. Must be service_account.
settings
object
Free-form, non-sensitive settings for the entity context sync. The accepted keys depend on the source type.
<integration_type=OKTA>
object
Fields to update on an Okta entity context sync configuration.
domain
string
The new domain associated with the external entity source.
enabled
boolean
Whether the entity context sync should be enabled.
integration_type [required]
enum
The source type for an Okta entity context sync.
Allowed enum values: OKTA
name
string
The new display name for the entity context sync configuration.
secrets
object
Credentials for an Okta entity context sync.
api_token [required]
string
The Okta API token used to authenticate against the Okta API.
settings
object
Free-form, non-sensitive settings for the entity context sync. The accepted keys depend on the source type.
<integration_type=ENTRA_ID>
object
Fields to update on an Entra ID entity context sync configuration.
domain
string
The new domain associated with the external entity source.
enabled
boolean
Whether the entity context sync should be enabled.
integration_type [required]
enum
The source type for an Entra ID entity context sync.
Allowed enum values: ENTRA_ID
name
string
The new display name for the entity context sync configuration.
settings
object
Free-form, non-sensitive settings for the entity context sync. The accepted keys depend on the source type.
<integration_type=CROWDSTRIKE>
object
Fields to update on a CrowdStrike entity context sync configuration.
domain
string
The new domain associated with the external entity source.
enabled
boolean
Whether the entity context sync should be enabled.
integration_type [required]
enum
The source type for a CrowdStrike entity context sync.
Allowed enum values: CROWDSTRIKE
name
string
The new display name for the entity context sync configuration.
secrets
object
Credentials for a CrowdStrike entity context sync.
client_id [required]
string
The CrowdStrike API client ID.
client_secret [required]
string
The CrowdStrike API client secret.
settings
object
Free-form, non-sensitive settings for the entity context sync. The accepted keys depend on the source type.
<integration_type=SENTINELONE>
object
Fields to update on a SentinelOne entity context sync configuration.
domain
string
The new domain associated with the external entity source.
enabled
boolean
Whether the entity context sync should be enabled.
integration_type [required]
enum
The source type for a SentinelOne entity context sync.
Allowed enum values: SENTINELONE
name
string
The new display name for the entity context sync configuration.
secrets
object
Credentials for a SentinelOne entity context sync.
api_token [required]
string
The SentinelOne API token.
settings
object
Free-form, non-sensitive settings for the entity context sync. The accepted keys depend on the source type.
type [required]
enum
The type of the resource. The value should always be integration_config.
Allowed enum values: integration_config
## default
#
# Path parameters exportintegration_config_id="CHANGE_ME" # Use a Personal Access Token or Service Access Token exportDD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com"DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"python3"example.py"
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com"DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"rb"example.rb"
// Update an entity context sync configuration returns "OK" responsepackagemainimport("context""encoding/json""fmt""os""github.com/DataDog/datadog-api-client-go/v2/api/datadog""github.com/DataDog/datadog-api-client-go/v2/api/datadogV2")funcmain(){body:=datadogV2.SecurityMonitoringIntegrationConfigUpdateRequest{Data:datadogV2.SecurityMonitoringIntegrationConfigUpdateData{Attributes:datadogV2.SecurityMonitoringIntegrationConfigUpdateAttributes{SecurityMonitoringGoogleWorkspaceIntegrationConfigUpdateAttributes:&datadogV2.SecurityMonitoringGoogleWorkspaceIntegrationConfigUpdateAttributes{Domain:datadog.PtrString("siem-test.com"),Enabled:datadog.PtrBool(true),IntegrationType:datadogV2.SECURITYMONITORINGINTEGRATIONTYPEGOOGLEWORKSPACE_GOOGLE_WORKSPACE,Name:datadog.PtrString("My GWS Integration (renamed)"),Secrets:&datadogV2.SecurityMonitoringIntegrationConfigGoogleWorkspaceSecrets{AdminEmail:datadog.PtrString("admin@example.com"),ServiceAccountJson:datadogV2.SecurityMonitoringIntegrationConfigGoogleWorkspaceServiceAccount{ClientEmail:"svc@my-project.iam.gserviceaccount.com",PrivateKey:`-----BEGIN PRIVATE KEY-----
...
-----END PRIVATE KEY-----`,ProjectId:"my-project",Type:"service_account",},},Settings:map[string]interface{}{"setting1":"value1",},}},Type:datadogV2.SECURITYMONITORINGINTEGRATIONCONFIGRESOURCETYPE_INTEGRATION_CONFIG,},}ctx:=datadog.NewDefaultContext(context.Background())ctx=context.WithValue(ctx,datadog.ContextAccessToken,os.Getenv("DD_BEARER_TOKEN"))configuration:=datadog.NewConfiguration()configuration.SetUnstableOperationEnabled("v2.UpdateSecurityMonitoringIntegrationConfig",true)apiClient:=datadog.NewAPIClient(configuration)api:=datadogV2.NewSecurityMonitoringApi(apiClient)resp,r,err:=api.UpdateSecurityMonitoringIntegrationConfig(ctx,"integration_config_id",body)iferr!=nil{fmt.Fprintf(os.Stderr,"Error when calling `SecurityMonitoringApi.UpdateSecurityMonitoringIntegrationConfig`: %v\n",err)fmt.Fprintf(os.Stderr,"Full HTTP response: %v\n",r)}responseContent,_:=json.MarshalIndent(resp,""," ")fmt.Fprintf(os.Stdout,"Response from `SecurityMonitoringApi.UpdateSecurityMonitoringIntegrationConfig`:\n%s\n",responseContent)}
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com"DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"go run"main.go"
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com"DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"java"Example.java"
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com"DD_API_KEY="<DD_API_KEY>"DD_APP_KEY="<DD_APP_KEY>"cargo run
/**
* Update an entity context sync configuration returns "OK" response
*/import{client,v2}from"@datadog/datadog-api-client";constconfiguration=client.createConfiguration({authMethods:{AuthZ:{accessToken: process.env.DD_BEARER_TOKENasstring,},},});configuration.unstableOperations["v2.updateSecurityMonitoringIntegrationConfig"]=true;constapiInstance=newv2.SecurityMonitoringApi(configuration);constparams: v2.SecurityMonitoringApiUpdateSecurityMonitoringIntegrationConfigRequest={body:{data:{attributes:{domain:"siem-test.com",enabled: true,integrationType:"GOOGLE_WORKSPACE",name:"My GWS Integration (renamed)",secrets:{adminEmail:"admin@example.com",serviceAccountJson:{clientEmail:"svc@my-project.iam.gserviceaccount.com",privateKey:"-----BEGIN PRIVATE KEY-----\n...\n-----END PRIVATE KEY-----",projectId:"my-project",type:"service_account",},},settings:{setting1:"value1",},},type:"integration_config",},},integrationConfigId:"integration_config_id",};apiInstance.updateSecurityMonitoringIntegrationConfig(params).then((data: v2.SecurityMonitoringIntegrationConfigResponse)=>{console.log("API called successfully. Returned data: "+JSON.stringify(data));}).catch((error: any)=>console.error(error));
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com"DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"tsc"example.ts"
パーソナライズされたデモをリクエスト
Datadog を始める
Ask AI
AI-generated responses may be inaccurate. Verify important info.